IcedTea-Web NetX

## javax.jnlp
Interface DownloadService2

    public interface DownloadService2

Nested Class Summary
`static class` `DownloadService2.ResourceSpec`

Field Summary
`static int` `ALL`
`static int` `APPLET`
`static int` `APPLICATION`
`static int` `CLASS`
`static int` `EXTENSION`
`static int` `IMAGE`
`static int` `JAR`

Method Summary
`DownloadService2.ResourceSpec[]` `getCachedResources(DownloadService2.ResourceSpec resourceSpec)`
`DownloadService2.ResourceSpec[]` `getUpdateAvaiableReosurces(DownloadService2.ResourceSpec resourceSpec)`

Field Detail

### ALL

    static final int ALL

See Also:
  Constant Field Values

### APPLET

    static final int APPLET

See Also:
  Constant Field Values

### APPLICATION

    static final int APPLICATION

See Also:
  Constant Field Values

### CLASS

    static final int CLASS

See Also:
  Constant Field Values

### EXTENSION

    static final int EXTENSION

See Also:
  Constant Field Values

### IMAGE

    static final int IMAGE

See Also:
  Constant Field Values

### JAR

    static final int JAR

See Also:
  Constant Field Values

Method Detail

### getCachedResources

    DownloadService2.ResourceSpec[] getCachedResources(DownloadService2.ResourceSpec resourceSpec)

### getUpdateAvaiableReosurces

    DownloadService2.ResourceSpec[] getUpdateAvaiableReosurces(DownloadService2.ResourceSpec resourceSpec)

IcedTea-Web NetX

Submit a bug or feature